

const TaskDbBaseModel = require('../TaskDbBaseModel')
class video_applet_product_model extends TaskDbBaseModel {
    constructor() {
        super('video_applet_product'); //表名
    }

    async createData(tableData) {
        return await this.transaction(async (connection) => {
            const id = await this.create(tableData);
            return id;
        });
    }
    async updateData(video_id, profileData) {
        return await this.update({ video_id: video_id }, profileData);
    }
}

module.exports =  new video_applet_product_model();